WordPress WPScientist témák sérülékenységei

CH azonosító

CH-8187

Angol cím

WordPress WPScientist Multiple Themes Arbitrary File Upload Vulnerability

Felfedezés dátuma

2013.01.03.

Súlyosság

Magas

Érintett rendszerek

Eptonic Theme
Lightspeed Theme
Nuance Theme
WordPress

Érintett verziók

WordPress Eptonic Theme 1.x
WordPress Lightspeed Theme 1.x
WordPress Nuance Theme 1.x

Összefoglaló

Több WordPress WPScientist téma (theme) olyan sérülékenysége vált ismertté, amelyet kihasználva a támadók feltörhetik a sérülékeny rendszert.

Leírás

A sérülékenységet az okozza, hogy a valums_uploader/php.php script tetszőleges kiterjesztésű fájlok feltöltését engedélyezi egy webroot-on belüli könyvtárba. Ez kihasználható tetszőleges PHP kód futtatására kártékony PHP script feltöltésével.

A sérülékenység a következő bővítményeket érinti:

  • Lightspeed version 1.1.2
  • Eptonic version 1.4.3
  • Nuance version 1.2.3

Megoldás

Ismeretlen